package ei.game.gamestate;

import ei.engine.scene.Node;
import ei.engine.state.GameState;
import ei.game.input.InGameMouseInput;
import ei.game.scene.Map;


public class InGameState extends GameState{
	private Node rootNode;
	private Map map;
	
	public InGameState(String name){
		super(name);
		rootNode = new Node("InGameNode");
		InGameMouseInput mouse = new InGameMouseInput();
		super.getInput().addInput(mouse);

		map = new Map(20,20);
		rootNode.add(map.getMapNode());
		
		
	}
	
	public void render() {
		rootNode.render();
	}

	public void update() {
		rootNode.update();
	}

}
